Bug 463115 - Mailman displays corrupted characters in web archive interface
Mailman displays corrupted characters in web archive interface
Product: Fedora
Classification: Fedora
Component: mailman (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-09-21 17:54 EDT by Sergio Pascual
Modified: 2009-03-31 12:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-30 06:14:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2008-09-21 17:54:20 EDT
Archives for mailing lists created with mailman are created with iso-8859 charset instead of utf-8. As the messages are encoded in utf-8, some of the characters are displayed wrongly. This happens with mailman-2.1.9-10.fc9.i386

The template files in /usr/lib/mailman/templates are encoded in ISO-8859 instead of in utf-8
Comment 1 Daniel Novotny 2009-03-30 04:53:32 EDT
hello Sergio,

first, check your HTTP server configuration, if it doesn't impose default charset and does not override the "charset=" specifier in http response

see bottom of this page:

if this doesn't help, try adding DEFAULT_CHARSET = 'utf-8'
into mm_cfg.py and then regenerate the archive using bin/arch --wipe
Comment 2 Sergio Pascual 2009-03-30 05:43:39 EDT
Hello David, thanks for the help. the information in mailman-install didi the trick.

Correct me if I'm wrong, buf it seems that http serves pages as utf-8 by default and mailman creates pages as iso-8859-1. So if we want a mailman install working out of the box, we have to add AddDefaultCharset Off to mailman.conf or change DEFAULT_CHARSET to utf8 in mailman to create utf8 pages.
Comment 3 Daniel Novotny 2009-03-30 06:14:08 EDT
OK, adding "AddDefaultCharset Off" to httpd-mailman.conf

fixed in mailman-2.1.12-2.fc11
Comment 4 Kevin Kofler 2009-03-31 12:05:47 EDT
Shouldn't DEFAULT_CHARSET be changed to utf8 instead of or in addition to this?

Note You need to log in before you can comment on or make changes to this bug.